# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rake db:seed (or created alongside the db with db:setup).
#
# Examples:
#
#   cities = City.create([{ name: 'Chicago' }, { name: 'Copenhagen' }])
#   Mayor.create(name: 'Emanuel', city: cities.first)
Role.create(name: 'teacher', description: 'This role represents a Teacher in Portal MEC.')
Role.create(name: 'admin', description: 'This role represents an MEC Admin, that can perform any action.')
Role.create(name: 'curator', description: 'This role represents a content Curator in Portal MEC.')

# create the default admin
User.create!(
  email: 'admin@inf.ufpr.br',
  name: 'admin',
  password: '123mudar',
  roles: [Role.admin]
)

# data for portalmec
Institution.create(name: 'C3SL/UFPR', address: 'Centro Politécnico', city: 'Curitiba', country: 'Brasil', description: 'Centro de Computação Científica e Software Livre')
Institution.create(name: 'University of Colorado at Boulder, Physics Education Technology (PhET)')
Institution.create(name: 'TV Escola')
Institution.create(name: 'Portal Domínio Público')
Institution.create(name: 'Portal Dia-a-dia Educação')
Institution.create(name: 'Banco Internacional de Objetos Educacionais', description: 'Itens carregados do site http://objetoseducacionais2.mec.gov.br/')

ComplaintReason.create(reason: "Objeto viola direitos autorais")
ComplaintReason.create(reason: "Objeto contém conteúdo ofensivo/abusivo")
ComplaintReason.create(reason: "Usuário ofensivo/agressivo")
ComplaintReason.create(reason: "Usuário falso")

Rating.create(name: 'Contexto de Aplicação', description: 'Nível de formação proposto é adequado; Nível de dificuldade; Ambiente de Uso;')
Rating.create(name: 'Conteúdo', description: 'Claro e conciso; Altamente relevante; Demonstra conceitos básicos; Descreve bem os conceitos; Apresenta informações precisas e atuais; Apresenta alta qualidade (redação e edição);')
Rating.create(name: 'Didática', description: 'Define claramente os objetivos de aprendizagem; Identifica os pré-­requisitos; Reforça conceitos progressivamente; Demonstra relacionamento entre conceitos; Apresenta os conceitos de forma contextualizada; Faz bom uso dos recursos multimídia (som, imagens e vídeo);')
Rating.create(name: 'Usabilidade', description: 'Tem instruções claras; É engajador / motivador; Visualmente atraente; É flexível e reutilizável; É interativo;')
Rating.create(name: 'Adaptabilidade', description: 'O Feedback garante a qualidade na compreensão da correção das respostas do aluno; Mantém-se um registro das respostas ou estilo de aprendizagem do aluno de maneira a adaptar as futuras presentações do conteúdo;')
